#include once "rendering.bi"

' test of:
' CreateSimulator
' CreateAnimatedBodyBox
' CreateRigidBodyCube

var sim = CreateSimulator()

var ground = CreateAnimatedBodyBox(sim,50,1,50)
AnimatedBodySetPosition(ground,0,-.5,0)

var box = CreateRigidBodyCube(sim,3,100)
RigidBodySetPositionRotation(box,0,30,0, 5,10,15)

dim as RENDERER gfx
dim as integer frame
while inkey()=""
  SimulatorAdvance(sim) ' 60 Hz.
  if frame mod 2=0 then ' 30 Hz.
    gfx.cls
    glLoadIdentity()
    glTranslatef(0,-4,-50) 
    gfx.Render(ground)
    gfx.Render(box)
    gfx.SwapBuffers()
  else
    sleep(10) ' don't use all CPU cycles
  end if
  frame+=1
wend

DestroySimulator(sim)

